from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.beans import XPropertySet

@runtime_checkable
class XSearchDescriptor(XPropertySet, Protocol):
    def getSearchString(self) -> str: ...
    def setSearchString(self, aString: str) -> None: ...
